System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.DataException

The is thrown when incorrectly invoking the following methods while trying to create or access a relation.

If you call , the may be thrown if a relation cannot be created based on the values supplied in the parameters. If you call , the may be thrown if a is enforced on the . If you call , the may be thrown if the columns have different data types or the tables do not belong to the same .

Represents the exception that is thrown when incorrectly trying to create or access a relation.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified string.

  The string to display when the exception is thrown.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with serialization information.

  The data that is required to serialize or deserialize an object.
  Description of the source and destination of the specified serialized stream.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.